C API Functions

## udbKindLocate

### Description

Returns true if the specified kind is in the kind list, or if the list is NULL.

Refer to the language-specific listings of entity and reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     int  udbKindLocate(UdbKind kind, UdbKindList kindlist);

### Arguments

Argument | description
UdbKind kind | The kind to find in the kindlist
UdbKindList *kindlist | The kindlist

### Return Values

Return Value | description
int | Return true if the specified kind is in the kindlist or if thekindlist is NULL; false otherwise.

### Example Usage

      if ( udbKindLocate(kind, kinds) ) {...}

### See Also

udbEntityKind to get the kind of a specified entity.

udbKindList to create a kindlist.

udbKindParse to create a kindlist from specified kind names.

udbReferenceKind to get the kind of a specified reference.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com